From 1911d0d69787a12bd6da2c80a1dd444fc5b9555c Mon Sep 17 00:00:00 2001
From: Sebastiii <sebastiii@team-mediaportal.com>
Date: Sun, 13 Mar 2016 16:59:19 +0100
Subject: [PATCH] MOVPIC patch against MP1-4777

---
 .../LocalMediaManagement/MediaInfoWrapper.cs           | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/MovingPictures/LocalMediaManagement/MediaInfoWrapper.cs b/MovingPictures/LocalMediaManagement/MediaInfoWrapper.cs
index f92bae5..8fc7b69 100644
--- a/MovingPictures/LocalMediaManagement/MediaInfoWrapper.cs
+++ b/MovingPictures/LocalMediaManagement/MediaInfoWrapper.cs
@@ -11,6 +11,7 @@ using System.IO;
 using NLog;
 using System.Text.RegularExpressions;
 using System.Linq;
+using MediaPortal.Player.MediaInfo;
 
 #region API
 
@@ -90,6 +91,7 @@ namespace MediaPortal.Plugins.MovingPictures.LocalMediaManagement
     private bool _is3D = false;
     private int _multiViewCount = 0;
     private int _duration = 0;
+    private double _durationDouble = 0;
     private long _fileSize = 0;
 
     private bool _hasSubtitles = false;
@@ -131,20 +133,24 @@ namespace MediaPortal.Plugins.MovingPictures.LocalMediaManagement
                 MediaInfo mi = new MediaInfo();
                 foreach (string file in Directory.GetFiles(Path.GetDirectoryName(strFile), filePrefix + "*.VOB")) {
                     mi.Open(file);
-                    int durationPart = 0;
-                    int.TryParse(_mI.Get(StreamKind.Video, 0, "PlayTime"), out durationPart);
-                    _duration += durationPart;
+                    double durationPart = 0;
+                    double.TryParse(_mI.Get(StreamKind.Video, 0, "PlayTime"), out durationPart);
+                    _durationDouble += durationPart;
+                    _duration = (int)_durationDouble;
                 }
             }
             else if (strFile.ToLowerInvariant().EndsWith(".bdmv") || strFile.ToLowerInvariant().EndsWith(".m2ts")) {
                 bool result = GetLengthFromPlaylist(strFile);
                 if (!result) {
                     //_duration = (int) currentPlaylistFile.TotalLength;
-                    int.TryParse(_mI.Get(StreamKind.Video, 0, "PlayTime"), out _duration);
+                    double.TryParse(_mI.Get(StreamKind.Video, 0, "PlayTime"), out _durationDouble);
+                    _duration = (int)_durationDouble;
                 }
             }
-            else {
-                int.TryParse(_mI.Get(StreamKind.Video, 0, "PlayTime"), out _duration);
+            else
+            {
+              double.TryParse(_mI.Get(StreamKind.Video, 0, "PlayTime"), out _durationDouble);
+              _duration = (int) _durationDouble;
             }
 
             NumberFormatInfo providerNumber = new NumberFormatInfo();
-- 
2.6.3.windows.1

